/*******************************************************************************
DeskCalc. Copyright 1997-2000 Wunderbear Software. See below for license info.
$Id: CalcApplication.h,v 1.3 1998/12/03 08:35:10 timmy Exp $
Code Classification: C++, BeOS

Interface to DeskCalc central application code.

Copyright (c) 1997-2000 Wunderbear Software. All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1) Redistributions of source code must retain the above copyright notice, this
list of conditions and the following disclaimer.

2) Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation and/or
other materials provided with the distribution.

3) Neither the name of the Wunderbear Software nor the names of its contributors
may be used to endorse or promote products derived from this software without
specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COMPANY OR CONTRIBUTORS BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*******************************************************************************/


#ifndef _CALC_APPLICATION_H
#define _CALC_APPLICATION_H


// BeOS Includes

#ifndef _APPLICATION_H
	#include <app/Application.h>
#endif


// Class Definitions

class CalcWindow;

class CalcApplication : public BApplication {

	public:
		
		// ****** CREATORS ******
		
		// Constructor.
		CalcApplication(
			const char *calcDesc,
			const char *appSig,
			const char *calcName);

		// Destructor.
		virtual ~CalcApplication();

		
		// ****** MANIPULATORS ******
		
		// Application boot completed hook.
		virtual void ReadyToRun();

		// Application about box request hook.
		virtual void AboutRequested();

		// Application quit request hook.
		virtual bool QuitRequested();


	private:

		// Load preferences data.
		bool LoadPrefs();

		// Updates the perferences data.
		void StorePrefs();
		
		// Finds the appropriate preferences file.
		BFile *FindPrefsFile(bool write);

		CalcWindow *mCalcWindow;	// main onscreen window

}; // end class CalcApplication


/******************************************************************************/

#endif // _CALC_APPLICATION_H

// end CalcApplication.h
