/*******************************************************************************
DeskCalc. Copyright 1997-2000 Wunderbear Software. See below for license info.
$Id: $
Code Classification: C++, BeOS

This component implements the CalcOptionsWindow class, which provides a GUI
interface to allow the user to control the behaviour of the application.

Copyright (c) 1997-2000 Wunderbear Software. All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1) Redistributions of source code must retain the above copyright notice, this
list of conditions and the following disclaimer.

2) Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation and/or
other materials provided with the distribution.

3) Neither the name of the Wunderbear Software nor the names of its contributors
may be used to endorse or promote products derived from this software without
specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COMPANY OR CONTRIBUTORS BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*******************************************************************************/


#ifndef _CALC_OPTIONS_WINDOW_H
#define _CALC_OPTIONS_WINDOW_H


// BeOS Includes

#ifndef _RECT_H
	#include <interface/Rect.h>
#endif

#ifndef _WINDOW_H
	#include <interface/Window.h>
#endif


// Class Definitions

struct CalcOptions {
	
	bool mAutoNumLock;		// automatically activate numlock
	bool mAudioFeedback;	// provide audio feedback
	
	// Constructor. Set defaults.
	CalcOptions()
		:	mAutoNumLock(true),
			mAudioFeedback(false){
		};

}; // end struct CalcOptions

class BBox;
class BCheckBox;
class BButton;

class CalcOptionsWindow : public BWindow {

	public:		
		
		// ****** CREATORS ******
		
		// Constructor.
		CalcOptionsWindow(BRect frame, CalcOptions *options);

		// Destructor.
		virtual ~CalcOptionsWindow();
		
		
		// ****** MANIPULATORS ******
		
		// Quit requested hook.
		virtual bool QuitRequested();


	private:
		
		BCheckBox *mAutoNumLockCheckBox;	// check boxes
		BCheckBox *mAudioFeedbackCheckBox;
		BButton *mOkButton;					// buttons
		BButton *mCancelButton;
		CalcOptions *mOptions;				// working options
		
}; // end class CalcOptionsWindow


/******************************************************************************/

#endif // _CALC_OPTIONS_WINDOW_H

// end CalcOptionsWindow.h
